#ifndef _CameraIntrinsics__
#define _CameraIntrinsics__

#pragma systemFile


#if defined(hasCamera)

#include "TCameraResults.h"

///////////////////////////////////////////////////////////////////////////////////////////////////////
//
//																	Camera Control and Operation
//
///////////////////////////////////////////////////////////////////////////////////////////////////////

	intrinsic void StartCamera()                       asm(opcdSystemFunctions, byte(18),  byte(camStart));
	intrinsic void StopCamera()       								 asm(opcdSystemFunctions, byte(18),  byte(camStop));
	intrinsic void ResetCameraConfigurationToDefault() asm(opcdSystemFunctions, byte(18),  byte(camUseDefaultConfig));
	intrinsic void SetCameraConfig(byte &config)       asm(opcdSystemFunctions, byte(19),  variableRefByte(config));
	intrinsic void GetCameraConfig(byte &config)       asm(opcdSystemFunctions, byte(20),  variableRefByte(config));
	intrinsic void GetTrackingParms(TTrackingDataInts &myData)
	                                                    asm(opcdSystemFunctions, byte(21),  variableRefRAM(myData));

  intrinsic TTrackingDataInts variableIndex(trackingData,  opcdSourceExternMemoryRef, 8);
	intrinsic bool variableIndex(bStreamCameraIOToPC, opcdSourceSystem, 9)

	intrinsic int           variableIndex(nCameraVertical,         opcdSourceCamera, camVertical)
	intrinsic int           variableIndex(nCameraHorizontal,       opcdSourceCamera, camHorizontal)
	intrinsic int           variableIndex(nCameraConfidence,       opcdSourceCamera, camConfidence)
	intrinsic int           variableIndex(nCameraTrackingPackets,  opcdSourceCamera, camNumbTrackingRecords)
	intrinsic TCameraStatus variableIndex(nCameraStatus,           opcdSourceCamera, camTrackingStatus)


#endif
#endif
